[maemo-developers] Xephyr dependencies stop progress...

From: Paul Klapperich maemo.org at bobpaul.org
Date: Wed Mar 21 21:08:19 EET 2007
On 3/21/07, Paul F. Sehorne <paul at sehorne.org> wrote:
> Thanks to Paul Klapperich's suggestion, I was able to use 'alien' to
> create an RPM file out of the DEB file.  Now I am back in dependency
> hell.  Xephyr depends on
> error: Failed dependencies:
>          libXau.so.6 is needed by xserver-xephyr-1.1.1-21
>         libXdmcp.so.6 is needed by xserver-xephyr-1.1.1-21
>         libfontenc.so.1 is needed by xserver-xephyr-1.1.1-21
> even after installing libXdmcp-1.0.1

Actually, I still think you should have used yum. Yum is akin to Debian's
aptitude and will resolve dependencies and download packages automagically.
I really don't feel you should be using RHE or Fedora without Yum
configured. Once Yum is setup properly--use Google or your Redhat, Redhat
support, or some of the Redhat community guides that I'm sure
exist--Vladislav provided the yum commandline that will install xephyr and
all required dependencies in his post to your message titled. I'm not sure
which Redhat your using, so I don't feel confident giving you specific
instructions myself--I've never used Redhat on a regular basis.

If you really don't want to setup yum, you'll have to manually track down
the required libraries on a site like rpmfinder.net. To start you off,
here's libXau[1]. Besure you grab the right one for your distribution.
Repeat with the next library. Yum would have done this for you.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.maemo.org/pipermail/maemo-developers/attachments/20070321/b46b4c31/attachment.htm 
More information about the maemo-developers mailing list